Debian Bug report logs - #646387
should embedd syslinux-themes in live-build

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Vincent Smeets <Vincent.VSmeets@GMail.com>

Date: Sun, 23 Oct 2011 18:54:01 UTC

Severity: important

Merged with 622838, 635933, 636217, 645406, 646799, 651520, 652437

Found in versions live-build/3.0~a14-1, live-build/3.0~a21-1, live-build/3.0~a37-1, live-build/3.0~a40-1

Fixed in version live-build/3.0~a43-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Vincent.VSmeets@GMail.com, Debian Live Project <debian-live@lists.debian.org>:
Bug#646387; Package live-build. (Sun, 23 Oct 2011 18:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Smeets <Vincent.VSmeets@GMail.com>:
New Bug report received and forwarded. Copy sent to Vincent.VSmeets@GMail.com, Debian Live Project <debian-live@lists.debian.org>. (Sun, 23 Oct 2011 18:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Smeets <Vincent.VSmeets@GMail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: Bootloader can't boot Live (can't find the kernel and initrd)
Date: Sun, 23 Oct 2011 20:50:43 +0200
Package: live-build
Version: 3.0~a37-1
Severity: important

Hello,

I have created an image with the commands:

	mkdir -p config/chroot_local-packagelists
	echo '#include <standard>' >config/chroot_local-packagelists/lvm.list
	echo 'lvm2' >>config/chroot_local-packagelists/lvm.list
	lb config \
		--distribution wheezy \
		--package-lists lvm
	lb build

It creates an iso image that I have started with virtualbox. I shows the
boot menu with "Live" and "Other options". Selecting "Live" doesn't do
anything. From the other options starting HDT or memtest86 does work.

The problem that I have found is, that Live wants to load the file
/live/vmlinuz but using rosh shows that there is only the file
/live/vmlinuz_3.0.0_1_amd64. I would expect that there is a symbolic
link from vmlinuz to vmlinuz_3.0.0_1_amd64 which isn't there.

Entering manually the full filenames on the boot command line does start
the linux system.

    /live/vmlinuz_3.0.0_1_amd64 initrd=/live/initrd.img boot=live config

regards,
Vincent


-- Package-specific info:

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=nl_NL.UTF-8, LC_CTYPE=nl_NL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap  1.0.37

Versions of packages live-build recommends:
pn  cpio                            2.11-7    
pn  gettext-base                    0.18.1.1-5
pn  gnu-fdisk                       1.2.4-3+b1
pn  live-boot-doc                   <none>    
pn  live-config-doc                 <none>    
pn  live-manual-html | live-manual  <none>    

Versions of packages live-build suggests:
pn  dosfstools                  3.0.9-1   
pn  fakeroot                    1.18.1-1  
pn  genisoimage                 9:1.1.11-2
pn  memtest86+ | memtest86      <none>    
pn  mtools                      4.0.12-1  
pn  parted                      2.3-8     
pn  squashfs-tools | mtd-tools  <none>    
pn  sudo                        1.8.2-2   
pn  syslinux | grub             <none>    
pn  uuid-runtime                <none>    
pn  win32-loader                <none>    

-- no debconf information




Changed Bug title to 'should embedd syslinux-themes in live-build' from 'live-build: Bootloader can't boot Live (can't find the kernel and initrd)' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 23 Oct 2011 20:03:12 GMT) Full text and rfc822 format available.

Forcibly Merged 622838 635933 636217 645406 646387. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 23 Oct 2011 20:03:15 GMT) Full text and rfc822 format available.

Forcibly Merged 622838 635933 636217 645406 646387. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 23 Oct 2011 20:03:19 GMT) Full text and rfc822 format available.

Forcibly Merged 622838 635933 636217 645406 646387. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 23 Oct 2011 20:03:22 GMT) Full text and rfc822 format available.

Forcibly Merged 622838 635933 636217 645406 646387. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 23 Oct 2011 20:03:25 GMT) Full text and rfc822 format available.

Forcibly Merged 622838 635933 636217 645406 646387 646799. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 27 Oct 2011 11:42:07 GMT) Full text and rfc822 format available.

Forcibly Merged 622838 635933 636217 645406 646387 646799. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 27 Oct 2011 11:42:11 GMT) Full text and rfc822 format available.

Forcibly Merged 622838 635933 636217 645406 646387 646799. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 27 Oct 2011 11:42:15 GMT) Full text and rfc822 format available.

Forcibly Merged 622838 635933 636217 645406 646387 646799. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 27 Oct 2011 11:42:22 GMT) Full text and rfc822 format available.

Forcibly Merged 622838 635933 636217 645406 646387 646799. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 27 Oct 2011 11:42:35 GMT) Full text and rfc822 format available.

Forcibly Merged 622838 635933 636217 645406 646387 646799. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Thu, 27 Oct 2011 11:51:22 GMT) Full text and rfc822 format available.

Forcibly Merged 622838 635933 636217 645406 646387 646799 651520. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 07 Jan 2012 23:21:08 GMT) Full text and rfc822 format available.

Forcibly Merged 622838 635933 636217 645406 646387 646799 651520 652437. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 07 Jan 2012 23:21:13 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 06 Feb 2012 22:54:36 GMT) Full text and rfc822 format available.

Notification sent to Vincent Smeets <Vincent.VSmeets@GMail.com>:
Bug acknowledged by developer. (Mon, 06 Feb 2012 22:54:36 GMT) Full text and rfc822 format available.

Message #36 received at 646387-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 646387-close@bugs.debian.org
Subject: Bug#646387: fixed in live-build 3.0~a43-1
Date: Mon, 06 Feb 2012 22:50:37 +0000
Source: live-build
Source-Version: 3.0~a43-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a43-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a43-1_all.deb
live-build-cron_3.0~a43-1_all.deb
  to main/l/live-build/live-build-cron_3.0~a43-1_all.deb
live-build_3.0~a43-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a43-1.debian.tar.gz
live-build_3.0~a43-1.dsc
  to main/l/live-build/live-build_3.0~a43-1.dsc
live-build_3.0~a43-1_all.deb
  to main/l/live-build/live-build_3.0~a43-1_all.deb
live-build_3.0~a43.orig.tar.gz
  to main/l/live-build/live-build_3.0~a43.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646387@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 06 Feb 2012 23:23:32 +0100
Source: live-build
Binary: live-build live-build-cgi live-build-cron
Architecture: source all
Version: 3.0~a43-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System build scripts
 live-build-cgi - Debian Live - System build scripts (CGI frontend)
 live-build-cron - Debian Live - System build scripts (cron autobuilder)
Closes: 622838 635933 636217 645406 646387 646799 651520 652437
Changes: 
 live-build (3.0~a43-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Updating to debhelper version 9.
 .
   [ Richard Nelson ]
   * l-b.cgi - Add pending build(s) to be processed ahead of your
     request.
 .
   [ Daniel Baumann ]
   * Setting default mirror for progress to cdn.archive.progress-
     linux.org.
   * Updating lb_binary_syslinux for embedded syslinux themes.
   * Adding embedded copies for syslinux bootloaders (Closes: #622838,
     #635933, #636217, #645406, #646387, #646799, #651520, #652437).
   * Applying patch from Ivailo Monev to remove stage files for pseudo-
     filesystems helpers in exit function.
   * Correcting typo in security chroot mirror variable assembling.
   * Autodetecting mode depending on which distribution we're building.
   * Giving a note about what mode we are configuring, now that mode is
     determined automatically based on the host system.
   * Updating squeeze point release number.
   * Adding note about 404 errors that are on purpose when fetching udebs
     in derivative mode.
   * Avoid warning messages in binary_packagelists for not existing local
     lists.
   * Renaming forgotten binary_packagelists to binary_package-lists to
     match the rest of lb.
   * Removing removal of bootstrap-base udeb in binary_debian-installer.
   * Using /etc/apt/sources.list.d/debian.list instead of
     /etc/apt/sources.list in derivative mode.
   * Updating year in copyright notices for 2012.
   * Removing useless top-comment for
     /etc/apt/preferences.d/progress.pref.
   * Improve backports handling in derivatives mode.
   * Adding opt-in hook to remove all sources.list files, as it's
     desirable in some setups.
   * Avoid removing populated apt preferences file in derivative mode.
   * Dereferencing potential symlinked apt preference files in
     chroot_apt/*.pref.
   * Simplyfing automatic pinning in derivative modes.
   * Cleaning up handling of apt preferences when building in progress
     mode.
   * Shortening kernel and initrd filenames in /live again similar to
     what we did with in lenny.
Checksums-Sha1: 
 82366fd8c69d91b2795ac769c2534c5fc1cba1d2 1413 live-build_3.0~a43-1.dsc
 9d6a089058ff565e0a7bc78c88ef0fe1884a9e8f 1847616 live-build_3.0~a43.orig.tar.gz
 76fed5a2b90052ea2179a7249a35026ab5049c06 60647 live-build_3.0~a43-1.debian.tar.gz
 11810a079d7c4d7edfd3b4cf03b01763087e97ab 1154086 live-build_3.0~a43-1_all.deb
 1eb172d2537632df979d24427fba2167616d0044 65698 live-build-cgi_3.0~a43-1_all.deb
 fecda7d79807488fa2e876b6f75833e973169a3d 70772 live-build-cron_3.0~a43-1_all.deb
Checksums-Sha256: 
 4688734d0eac1db6ec2b8f168f9638b6147378ac20c19db7456c3d8fff9f8ac0 1413 live-build_3.0~a43-1.dsc
 a6f7e9ee9d204ace06f971c7ab1329f9e044f744af5726846febd71b0c254468 1847616 live-build_3.0~a43.orig.tar.gz
 1380c4ac22da556ad3e57c2130590224d17037e945c47564efe7f11042ee7e58 60647 live-build_3.0~a43-1.debian.tar.gz
 a1b3df90ffbaa65ff1ba2246a352ff2890d32d7e8b247a0d4ca9e54d1cf71e9b 1154086 live-build_3.0~a43-1_all.deb
 fbfd081d3356ff0a5c1a7fd8612c7ae043eb4c6682c78a9347c26cd3b4a59ecd 65698 live-build-cgi_3.0~a43-1_all.deb
 ba2582dd77dfc3111db90680f049c027d0687acc2edc39e0db3d400b9104f2b1 70772 live-build-cron_3.0~a43-1_all.deb
Files: 
 63b66872cd5c3f5118a3e5c43eb10956 1413 misc optional live-build_3.0~a43-1.dsc
 f6ac3628cf36260799897c421e467496 1847616 misc optional live-build_3.0~a43.orig.tar.gz
 fb725d51108fa16027f56233a778f8c0 60647 misc optional live-build_3.0~a43-1.debian.tar.gz
 bcb2a438bbd24d1240051e81ff5704af 1154086 misc optional live-build_3.0~a43-1_all.deb
 900947fc4812e6912ddbd0643c0d051a 65698 misc optional live-build-cgi_3.0~a43-1_all.deb
 bf4f13c56d89903bfe67d8310ae39c80 70772 misc optional live-build-cron_3.0~a43-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk8wVGgACgkQ+C5cwEsrK54UyACgvtJqwa4P8EJtPHxHorTOWtKh
dosAn2clwDA2KklwOQM+4EGo+e+jCkKw
=vBb/
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 06 Feb 2012 22:54:37 GMT) Full text and rfc822 format available.

Notification sent to Mohan R <mohan43u@gmail.com>:
Bug acknowledged by developer. (Mon, 06 Feb 2012 22:54:37 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 06 Feb 2012 22:54:38 GMT) Full text and rfc822 format available.

Notification sent to Chris Lamb <lamby@debian.org>:
Bug acknowledged by developer. (Mon, 06 Feb 2012 22:54:38 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 06 Feb 2012 22:54:38 GMT) Full text and rfc822 format available.

Notification sent to nodiscc <nodiscc@gmail.com>:
Bug acknowledged by developer. (Mon, 06 Feb 2012 22:54:38 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 06 Feb 2012 22:54:39 GMT) Full text and rfc822 format available.

Notification sent to "Nelson A. de Oliveira" <naoliv@debian.org>:
Bug acknowledged by developer. (Mon, 06 Feb 2012 22:54:39 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 06 Feb 2012 22:54:40 GMT) Full text and rfc822 format available.

Notification sent to Yves-Alexis Perez <corsac@debian.org>:
Bug acknowledged by developer. (Mon, 06 Feb 2012 22:54:40 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 06 Feb 2012 22:54:41 GMT) Full text and rfc822 format available.

Notification sent to Vincent Fourmond <fourmond@debian.org>:
Bug acknowledged by developer. (Mon, 06 Feb 2012 22:54:41 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 06 Feb 2012 22:54:42 GMT) Full text and rfc822 format available.

Notification sent to Pablo Barbachano <pablobarbachano@yahoo.es>:
Bug acknowledged by developer. (Mon, 06 Feb 2012 22:54:42 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 Mar 2012 07:34:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:27:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.